//+------------------------------------------------------------------+
//|                                                  Gumasa v17|
//|                         Copyright  2006, Luis Guilherme Damiani |
//|                                      http://www.damianifx.com.br |
//|
//| trend indic: MACD(7,40)  and WMA(10,TYP)>WMA(40,TYP)+StdDev(24,wma,TYP,+1)
//|                              WMA(10,TYP)<WMA(40,TYP)-StdDev(24,wma,TYP,+1)
//|       back to cycle mode on MACD signal change only                                     
//|
//|TREND MODE ENTRY
//|  UPTREND: Ask<WMA(10,TYP)-price_buff && Ask>WMA(10,TYP)-price_buff*max_buff_factor(2.0)
//|  DOWNTREND: Bid>WMA(10,TYP)+price_buff && Bid<WMA(10,TYP)+price_buff*max_buff_factor(2.0)   
//|     where :price_buff=ATR(36,0)*buff_factor(1.0); 
//|
//    DEVELOPMENT NOTES
//  on v17e02: testing adaptativeness based on ATR ratio
//  
//+------------------------------------------------------------------+

#property copyright "Copyright  2006, Luis Guilherme Damiani"
#property link      "http://www.damianifx.com.br"
//#include "scripts\tracert.mqh"
#include "include\Damianalisys v01 e03.mq4"
#include "include\Correlator.mqh"
//---- input parameters
extern double instance=1;
//extern bool tracer_on=true;
extern int maxtrades=3;
extern bool VLTcond=true;
extern int VLT_fast=50;
/***   bla bla bla ***/
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
double ExtInitialDeposit;
int init()
{
//---- 
 first_pass=true;   
   if(IsTesting()) ExtInitialDeposit=CalculateInitialDeposit();
//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+

int deinit()
  {
//---- 
      if(!IsOptimization())
     {
      if(!IsTesting()) ExtInitialDeposit=CalculateInitialDeposit();
      CalculateSummary(ExtInitialDeposit);
      WriteReport("anal.csv");
      Detail("hist.csv");
     }
     if(!IsOptimization())
     {
      if(IsTesting())correlate("corr.csv");    
      
     }
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{// a 1
   // bla bla bla     
   return(0);
}// 1


        